#include <gba.h>

const u16 background_palette[16] __attribute__ ((section (".rodata"))) =
{
	0x0000,0x7b51,0x7a7e,0x0885,0x7bdd,0x010a,0x294a,0x018f,
	0x7b7e,0x639c,0x35ad,0x52d7,0x7bd1,0x0214,0x031e,0x7ade,

} ;

const u8 background_tiles[34 * 32] __attribute__ ((section (".rodata"))) =
{
	/* Tile at line 0, column 0. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0x9e,0x49,0x44,
	0xee,0x49,0x44,0x44,
	0x9e,0x44,0x94,0xe9,
	0x9e,0x44,0xe9,0xee,
	0x9e,0x94,0xe9,0xee,
	0x4e,0x94,0xee,0xee,
	/* Tile at line 0, column 1. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0x44,0x44,0x99,0x99,
	0x99,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 0, column 2. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 0, column 27. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0x9e,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 0, column 28. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0x99,0x49,0x44,0x44,
	0xee,0xee,0x9e,0x49,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 0, column 29. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0x44,0x99,0xee,0xee,
	0x44,0x44,0xe9,0xee,
	0x99,0x44,0x94,0xee,
	0xee,0x49,0x94,0xee,
	0xee,0x99,0x94,0xee,
	0xee,0x9e,0x44,0xee,
	/* Tile at line 1, column 0. */
	0x4e,0xe9,0xee,0xee,
	0x4e,0xe9,0xee,0xee,
	0x9e,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 1, column 1. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xde,0xed,
	0xee,0x5e,0x00,0x00,
	0xee,0x0d,0x30,0x03,
	0xee,0x0d,0x70,0xdd,
	0xee,0x5e,0x00,0x00,
	/* Tile at line 1, column 2. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xe5,0xee,0xee,0xee,
	0xd0,0xee,0xde,0xed,
	0xed,0xde,0x00,0x00,
	0xe7,0x0e,0x50,0x07,
	/* Tile at line 1, column 3. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xdd,0xed,
	0xe5,0x5e,0x00,0x30,
	0xe3,0x07,0x70,0x03,
	/* Tile at line 1, column 4. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xdd,0xdd,0xed,
	0xee,0x05,0x00,0xe3,
	0xe3,0x05,0x70,0x7e,
	/* Tile at line 1, column 5. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xde,0xdd,0xee,0xee,
	0x05,0x00,0xe3,0xee,
	0x30,0x5d,0x30,0xee,
	/* Tile at line 1, column 10. */
	0x4c,0x44,0x44,0x44,
	0xc1,0xcc,0xcc,0xcc,
	0xc1,0xcc,0xcc,0xcc,
	0xc1,0xcc,0xcc,0xcc,
	0xc1,0xcc,0xcc,0xcc,
	0xc1,0xcc,0xcc,0xcc,
	0xc1,0xcc,0xcc,0xcc,
	0xc1,0xcc,0xcc,0xcc,
	/* Tile at line 1, column 11. */
	0x44,0x44,0x44,0x44,
	0xcc,0xcc,0xcc,0x4c,
	0xcc,0xcc,0xcc,0x4c,
	0xcc,0xcc,0xcc,0x4c,
	0xcc,0xcc,0xcc,0x4c,
	0xcc,0xcc,0xcc,0x4c,
	0xcc,0xcc,0xcc,0x4c,
	0xcc,0xcc,0xcc,0x4c,
	/* Tile at line 1, column 12. */
	0x8f,0x88,0x88,0x88,
	0xf2,0xff,0xff,0xff,
	0xf2,0xff,0xff,0xff,
	0xf2,0xff,0xff,0xff,
	0xf2,0xff,0xff,0xff,
	0xf2,0xff,0xff,0xff,
	0xf2,0xff,0xff,0xff,
	0xf2,0xff,0xff,0xff,
	/* Tile at line 1, column 13. */
	0x88,0x88,0x88,0x88,
	0xff,0xff,0xff,0x8f,
	0xff,0xff,0xff,0x8f,
	0xff,0xff,0xff,0x8f,
	0xff,0xff,0xff,0x8f,
	0xff,0xff,0xff,0x8f,
	0xff,0xff,0xff,0x8f,
	0xff,0xff,0xff,0x8f,
	/* Tile at line 1, column 29. */
	0xee,0xee,0x49,0xee,
	0xee,0xee,0x49,0xee,
	0xee,0xee,0x9e,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 2, column 1. */
	0xee,0xee,0xde,0x03,
	0xee,0x05,0xe0,0x0e,
	0xee,0x0d,0x00,0x00,
	0xee,0xde,0x03,0x30,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 2, column 2. */
	0x70,0x0d,0xe0,0xee,
	0x50,0x0d,0xe0,0x5e,
	0xd0,0x3e,0x30,0x03,
	0xe7,0xee,0x03,0x30,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 2, column 3. */
	0xee,0x05,0xe5,0x0d,
	0xe7,0x05,0xe3,0x07,
	0xe3,0x0d,0x50,0x03,
	0xed,0xde,0x03,0x70,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 2, column 4. */
	0xe0,0x05,0xe3,0x5e,
	0xe0,0x05,0xe5,0x5e,
	0xe7,0x05,0xe5,0xde,
	0xee,0x05,0xe5,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 2, column 5. */
	0x00,0x00,0x00,0xee,
	0x30,0xdd,0xdd,0xee,
	0x00,0x35,0x30,0xee,
	0x3d,0x00,0xe7,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 2, column 10. */
	0xc1,0xcc,0xcc,0xcc,
	0xc1,0xcc,0xcc,0xcc,
	0xc1,0xcc,0xcc,0xcc,
	0xc1,0xcc,0xcc,0xcc,
	0xc1,0xcc,0xcc,0xcc,
	0xc1,0xcc,0xcc,0xcc,
	0xc1,0xcc,0xcc,0xcc,
	0x11,0x11,0x11,0x11,
	/* Tile at line 2, column 11. */
	0xcc,0xcc,0xcc,0x4c,
	0xcc,0xcc,0xcc,0x4c,
	0xcc,0xcc,0xcc,0x4c,
	0xcc,0xcc,0xcc,0x4c,
	0xcc,0xcc,0xcc,0x4c,
	0xcc,0xcc,0xcc,0x4c,
	0xcc,0xcc,0xcc,0x4c,
	0x11,0x11,0x11,0xc1,
	/* Tile at line 2, column 12. */
	0xf2,0xff,0xff,0xff,
	0xf2,0xff,0xff,0xff,
	0xf2,0xff,0xff,0xff,
	0xf2,0xff,0xff,0xff,
	0xf2,0xff,0xff,0xff,
	0xf2,0xff,0xff,0xff,
	0xf2,0xff,0xff,0xff,
	0x22,0x22,0x22,0x22,
	/* Tile at line 2, column 13. */
	0xff,0xff,0xff,0x8f,
	0xff,0xff,0xff,0x8f,
	0xff,0xff,0xff,0x8f,
	0xff,0xff,0xff,0x8f,
	0xff,0xff,0xff,0x8f,
	0xff,0xff,0xff,0x8f,
	0xff,0xff,0xff,0x8f,
	0x22,0x22,0x22,0xf2,
	/* Tile at line 3, column 1. */
	0x44,0x44,0x44,0x44,
	0x44,0x44,0x44,0x44,
	0x44,0x44,0x44,0x44,
	0x44,0x44,0x44,0x44,
	0x44,0x44,0x44,0x44,
	0x44,0x44,0x44,0x44,
	0x44,0x44,0x44,0x44,
	0x44,0x44,0x44,0x44,
	/* Tile at line 18, column 0. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0x9e,0xee,0xee,0xee,
	0x4e,0xe9,0xee,0xee,
	0x4e,0xe9,0xee,0xee,
	/* Tile at line 18, column 29. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0x9e,0xee,
	0xee,0xee,0x49,0xee,
	0xee,0xee,0x49,0xee,
	/* Tile at line 19, column 0. */
	0x4e,0x94,0xee,0xee,
	0x9e,0x94,0xe9,0xee,
	0x9e,0x44,0xe9,0xee,
	0x9e,0x44,0x94,0xe9,
	0xee,0x49,0x44,0x44,
	0xee,0x9e,0x49,0x44,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 19, column 1. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0x99,0xee,0xee,0xee,
	0x44,0x44,0x99,0x99,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 19, column 27. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0x9e,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 19, column 28. */
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0x9e,0x49,
	0x99,0x49,0x44,0x44,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,
	/* Tile at line 19, column 29. */
	0xee,0x9e,0x44,0xee,
	0xee,0x99,0x94,0xee,
	0xee,0x49,0x94,0xee,
	0x99,0x44,0x94,0xee,
	0x44,0x44,0xe9,0xee,
	0x44,0x99,0xee,0xee,
	0xee,0xee,0xee,0xee,
	0xee,0xee,0xee,0xee,

} ;

const u16 background_map[20 * 30] __attribute__ ((section (".rodata"))) =
{
	0x0000,0x0001,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0003,0x0004,0x0005,0x0006,0x0007,
	0x0008,0x0009,0x000a,0x000b,0x0002,0x0002,0x0002,0x0002,
	0x000c,0x000d,0x000e,0x000f,0x000c,0x000d,0x000e,0x000f,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0010,0x0002,0x0011,0x0012,0x0013,
	0x0014,0x0015,0x0002,0x0002,0x0002,0x0002,0x0016,0x0017,
	0x0018,0x0019,0x0016,0x0017,0x0018,0x0019,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x001a,0x001a,0x001a,0x001a,0x001a,
	0x001a,0x001a,0x001a,0x0002,0x000e,0x000f,0x000c,0x000d,
	0x000e,0x000f,0x000c,0x000d,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x001a,0x001a,0x001a,0x001a,0x001a,0x001a,0x001a,
	0x001a,0x0002,0x0018,0x0019,0x0016,0x0017,0x0018,0x0019,
	0x0016,0x0017,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x000c,0x000d,0x000e,0x000f,0x000c,0x000d,0x000e,0x000f,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0016,0x0017,
	0x0018,0x0019,0x0016,0x0017,0x0018,0x0019,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x000e,0x000f,0x000c,0x000d,
	0x000e,0x000f,0x000c,0x000d,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0018,0x0019,0x0016,0x0017,0x0018,0x0019,
	0x0016,0x0017,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x000c,0x000d,0x000e,
	0x000f,0x000c,0x000d,0x000e,0x000f,0x0002,0x000c,0x000d,
	0x000e,0x000f,0x000c,0x000d,0x000e,0x000f,0x0002,0x000c,
	0x000d,0x000e,0x000f,0x000c,0x000d,0x000e,0x000f,0x0002,
	0x0002,0x0002,0x0002,0x0016,0x0017,0x0018,0x0019,0x0016,
	0x0017,0x0018,0x0019,0x0002,0x0016,0x0017,0x0018,0x0019,
	0x0016,0x0017,0x0018,0x0019,0x0002,0x0016,0x0017,0x0018,
	0x0019,0x0016,0x0017,0x0018,0x0019,0x0002,0x0002,0x0002,
	0x0002,0x000e,0x000f,0x000c,0x000d,0x000e,0x000f,0x000c,
	0x000d,0x0002,0x000e,0x000f,0x000c,0x000d,0x000e,0x000f,
	0x000c,0x000d,0x0002,0x000e,0x000f,0x000c,0x000d,0x000e,
	0x000f,0x000c,0x000d,0x0002,0x0002,0x0002,0x0002,0x0018,
	0x0019,0x0016,0x0017,0x0018,0x0019,0x0016,0x0017,0x0002,
	0x0018,0x0019,0x0016,0x0017,0x0018,0x0019,0x0016,0x0017,
	0x0002,0x0018,0x0019,0x0016,0x0017,0x0018,0x0019,0x0016,
	0x0017,0x0002,0x0002,0x0002,0x0002,0x000c,0x000d,0x000e,
	0x000f,0x000c,0x000d,0x000e,0x000f,0x0002,0x000c,0x000d,
	0x000e,0x000f,0x000c,0x000d,0x000e,0x000f,0x0002,0x000c,
	0x000d,0x000e,0x000f,0x000c,0x000d,0x000e,0x000f,0x0002,
	0x0002,0x0002,0x0002,0x0016,0x0017,0x0018,0x0019,0x0016,
	0x0017,0x0018,0x0019,0x0002,0x0016,0x0017,0x0018,0x0019,
	0x0016,0x0017,0x0018,0x0019,0x0002,0x0016,0x0017,0x0018,
	0x0019,0x0016,0x0017,0x0018,0x0019,0x0002,0x0002,0x0002,
	0x0002,0x000e,0x000f,0x000c,0x000d,0x000e,0x000f,0x000c,
	0x000d,0x0002,0x000e,0x000f,0x000c,0x000d,0x000e,0x000f,
	0x000c,0x000d,0x0002,0x000e,0x000f,0x000c,0x000d,0x000e,
	0x000f,0x000c,0x000d,0x0002,0x0002,0x0002,0x0002,0x0018,
	0x0019,0x0016,0x0017,0x0018,0x0019,0x0016,0x0017,0x0002,
	0x0018,0x0019,0x0016,0x0017,0x0018,0x0019,0x0016,0x0017,
	0x0002,0x0018,0x0019,0x0016,0x0017,0x0018,0x0019,0x0016,
	0x0017,0x0002,0x0002,0x0002,0x001b,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x001c,0x001d,0x001e,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,0x0002,
	0x0002,0x0002,0x0002,0x0002,0x0002,0x001f,0x0020,0x0021,

} ;
