#ifndef __BACKGROUND_H
#define __BACKGROUND_H

#define NB_BACKGROUND_PALETTE_ENTRIES 16
#define NB_BACKGROUND_TILES 34

#define BACKGROUND_PALETTE_SLOT 0

#define UPPER_AREA_X 10
#define UPPER_AREA_Y 1

#define LEFT_AREA_X 1
#define LEFT_AREA_Y 10

#define RIGHT_AREA_X 19
#define RIGHT_AREA_Y 10

#define CENTRAL_AREA_X 10
#define CENTRAL_AREA_Y 10

#define SCORE_AREA_X 1
#define SCORE_AREA_Y 3

#define BONUS_AREA_X 19
#define BONUS_AREA_Y 1

#define BONUS_Deep_Charge_AREA_X BONUS_AREA_X
#define BONUS_Deep_Charge_Red_AREA_Y (BONUS_AREA_Y+2)
#define BONUS_Deep_Charge_Blue_AREA_Y (BONUS_Deep_Charge_Red_AREA_Y+1)
#define BONUS_Deep_Charge_Green_AREA_Y (BONUS_Deep_Charge_Blue_AREA_Y+1)
#define BONUS_Deep_Charge_Yellow_AREA_Y (BONUS_Deep_Charge_Green_AREA_Y +1)

#define BONUS_Painter_AREA_X (BONUS_Deep_Charge_AREA_X+2)
#define BONUS_Painter_Red_AREA_Y (BONUS_AREA_Y+2)
#define BONUS_Painter_Blue_AREA_Y (BONUS_Painter_Red_AREA_Y+1)
#define BONUS_Painter_Green_AREA_Y (BONUS_Painter_Blue_AREA_Y+1)
#define BONUS_Painter_Yellow_AREA_Y (BONUS_Painter_Green_AREA_Y+1)

#define BONUS_Line_Col_Cleaner_AREA_X (BONUS_Painter_AREA_X+2)
#define BONUS_Line_Col_Cleaner_AREA_Y (BONUS_AREA_Y+2)

#define BONUS_Antidote_AREA_X (BONUS_Line_Col_Cleaner_AREA_X+2)
#define BONUS_Antidote_AREA_Y (BONUS_AREA_Y+2)

#define BONUS_Eraser_AREA_X (BONUS_Antidote_AREA_X+2)
#define BONUS_Eraser_AREA_Y (BONUS_AREA_Y+2)

extern const u16 background_palette[NB_BACKGROUND_PALETTE_ENTRIES]
  __attribute__ ((section (".rodata"))) ;

extern const u8 background_tiles[NB_BACKGROUND_TILES * 32]
   __attribute__ ((section (".rodata"))) ;

extern const u16 background_map[20 * 30] __attribute__ ((section (".rodata"))) ;
#endif
