#include <math.h>
typedef signed short fixed_dot_8 ;



#define RADIAN(n) (((float) n ) / (float) 180 * M_PI)


int main ()
{
  int i ;
  fixed_dot_8 sin_t, cos_t ;

  /* Header. */
  printf ("#include <gba.h>\n#include \"trigtbl.h\"\n\nfixed_dot_8 sin_table[360] ;\nfixed_dot_8 cos_table [360] ;\n\n") ;

  /* Sin table. */
  printf ("fixed_dot_8 sin_table[360] = {\n") ;
  for (i = 0; i < 360; i++) {
    sin_t = (fixed_dot_8) (sin (RADIAN (i)) * (1 << 8)) ;
    printf ("\t%d, \t /* Angle = %d */\n", sin_t, i) ;
  }
  printf ("} ;\n\n\n") ;

  /* Cos table. */
  printf ("fixed_dot_8 cos_table[360] = {\n") ;
  for (i = 0; i < 360; i++) {
    cos_t = (fixed_dot_8) (cos (RADIAN (i)) * (1 << 8)) ;
    printf ("\t%d, \t /* Angle = %d */\n", cos_t, i) ;
  }
  printf ("} ;\n") ;
  return (0) ;
}
