/*
  *** Blocktrap GBA ***
 Franois PESSAUX September 2004
 This program is freeware.
 Use its sources as you whant provided that you leave this copyright unchanged
 and that you drop a small word telling that I'm the author of these sources.
 Thank's a lot.
   --Francois
*/


#ifndef __CONTROL_H
#define __CONTROL_H

void game_main_loop (struct game*) ;
void reserve_selection (struct game*) ;


/* 0xFFFF = 1s. */
#define TURN_ON_GAME_TIMER \
    REG_TM3CNT_H = TIMER_FREQ_65_5_KHZ | TIMER_ON_BIT | TIMER_OVERFLOW_INTERRUPT
#define RESET_GAME_TIMER REG_TM3CNT_L = (u16) (0xFFFF / 2)
#define TURN_OFF_GAME_TIMER SET_TIMER_OFF(REG_TM3CNT_H)
#define SUSPEND_GAME_TIMER REG_TM3CNT_H = REG_TM3CNT_H | TIMER_CASCADING
#define RELAUNCH_GAME_TIMER REG_TM3CNT_H = REG_TM3CNT_H & (~TIMER_CASCADING)

extern vu16 key_prev ;
extern vu16 key_curr ;

#define KEY_POOL key_prev = key_curr ; key_curr= REG_P1
#define KEY_HIT(key) ((~key_curr & key_prev) & key)

#define SELECTION_Deep_Charge_Red 0
#define SELECTION_Deep_Charge_Blue 1
#define SELECTION_Deep_Charge_Green 2
#define SELECTION_Deep_Charge_Yellow 3

#define SELECTION_Painter_Red 4
#define SELECTION_Painter_Blue 5
#define SELECTION_Painter_Green 6
#define SELECTION_Painter_Yellow 7

#define SELECTION_Line_Col_Cleaner 8
#define SELECTION_Antidote 9
#define SELECTION_Eraser 10

#endif
